'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Button = exports.BUTTON = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _classnames2 = require('classnames');

var _classnames3 = _interopRequireDefault(_classnames2);

var _pure = require('../../utils/pure');

var _LoadingIndicator = require('../LoadingIndicator/LoadingIndicator');

var _withTheme = require('../../utils/withTheme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BUTTON = exports.BUTTON = Symbol('Button');
var RawButton = function (_React$Component) {
    _inherits(RawButton, _React$Component);

    function RawButton() {
        _classCallCheck(this, RawButton);

        return _possibleConstructorReturn(this, (RawButton.__proto__ || Object.getPrototypeOf(RawButton)).apply(this, arguments));
    }

    _createClass(RawButton, [{
        key: 'render',
        value: function render() {
            var _classnames;

            var _props = this.props,
                theme = _props.theme,
                style = _props.style,
                type = _props.type,
                children = _props.children,
                onClick = _props.onClick,
                onMouseDown = _props.onMouseDown,
                onMouseLeave = _props.onMouseLeave,
                onMouseUp = _props.onMouseUp,
                isFlat = _props.isFlat,
                isPrimary = _props.isPrimary,
                isLoading = _props.isLoading,
                isDisabled = _props.isDisabled,
                tabIndex = _props.tabIndex;

            var className = (0, _classnames3.default)(theme.container, (_classnames = {}, _defineProperty(_classnames, theme.container_primary, isPrimary), _defineProperty(_classnames, theme.container_flat, isFlat), _defineProperty(_classnames, theme.container_isLoading, isLoading), _classnames));
            return React.createElement("button", { className: className, onClick: onClick, onMouseLeave: onMouseLeave, onMouseDown: onMouseDown, onMouseUp: onMouseUp, type: type, style: style, tabIndex: tabIndex, disabled: isDisabled }, children, isLoading && React.createElement("div", { className: theme.loadingIndicator }, React.createElement(_LoadingIndicator.LoadingIndicator, { theme: theme.LoadingIndicator })));
        }
    }]);

    return RawButton;
}(React.Component);
RawButton.defaultProps = {
    type: 'button'
};
RawButton = tslib_1.__decorate([_pure.PURE], RawButton);
var Button = exports.Button = (0, _withTheme.withTheme)(BUTTON)(RawButton);