/// <reference types="react" />
import * as React from 'react';
import { Component, ReactElement } from 'react';
export declare type TEventListenerProps = {
    [onEvent: string]: Function | boolean | string | object | undefined;
    capture?: boolean;
    target: EventTarget | string;
    children: ReactElement<any>;
};
export declare class EventListener extends Component<TEventListenerProps> {
    componentDidMount(): void;
    componentWillUpdate(nextProps: TEventListenerProps): void;
    componentDidUpdate(prevProps: TEventListenerProps): void;
    componentWillUnmount(): void;
    render(): React.ReactElement<any> | (string & React.ReactElement<any>) | (number & React.ReactElement<any>) | (true & React.ReactElement<any>) | (false & React.ReactElement<any>) | ((string | number | boolean | any[] | React.ReactElement<any>)[] & React.ReactElement<any>);
    private addListeners();
    private removeListeners();
    private getTarget();
    private getHandlers();
}
