'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _Link = require('./Link');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _storybook.storiesOf)('Link', module).add('default', function () {
    return _react2.default.createElement(_Demo2.default, null, _react2.default.createElement(_Link.Link, { href: "#" }, "Empty Hash"), ' | ', _react2.default.createElement(_Link.Link, { href: "http://google.com", isDisabled: true }, "Disabled"), ' | ', _react2.default.createElement(_Link.Link, { href: "http://google.com", target: "_blank", rel: "noopener noreferrer" }, "https://google.com"));
});