'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _Scrollable = require('./Scrollable');

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _ScrollablePage = require('./Scrollable.page.styl');

var _ScrollablePage2 = _interopRequireDefault(_ScrollablePage);

var _pure = require('../../utils/pure');

var _Pure = require('../Pure/Pure');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var darkDemoTheme = {
    container: _ScrollablePage2.default.container
};
var Heavy = function Heavy() {
    return _react2.default.createElement("div", null, _react2.default.createElement("p", null, "Sit nulla est ex deserunt exercitation anim occaecat. Nostrud ullamco deserunt aute id consequat veniam incididunt duis in sint irure nisi. Mollit officia cillum Lorem ullamco minim nostrud elit officia tempor esse quis. Cillum sunt ad dolore quis aute consequat ipsum magna exercitation reprehenderit magna. Tempor cupidatat consequat elit dolor adipisicing."), _react2.default.createElement("p", null, "Dolor eiusmod sunt ex incididunt cillum quis nostrud velit duis sit officia. Lorem aliqua enim laboris do dolor eiusmod officia. Mollit incididunt nisi consectetur esse laborum eiusmod pariatur proident. Eiusmod et adipisicing culpa deserunt nostrud ad veniam nulla aute est. Labore esse esse cupidatat amet velit id elit consequat minim ullamco mollit enim excepteur ea. Adipisicing aliqua proident occaecat do do adipisicing adipisicing ut fugiat culpa. Pariatur ullamco aute sunt esse adipisicing. Excepteur eu non eiusmod occaecat commodo commodo et ad ipsum elit."), _react2.default.createElement("p", null, "Sit adipisicing sunt excepteur enim nostrud pariatur incididunt duis commodo mollit esse veniam. Exercitation dolore occaecat ea nostrud laboris nisi adipisicing occaecat fugiat fugiat irure. In magna non consectetur proident fugiat cupidatat commodo magna et. Elit sint cupidatat dolor sint. Ullamco enim cillum anim ex eu. Eiusmod commodo occaecat consequat laboris est do duis ullamco. Incididunt non culpa velit quis aute in elit. Ullamco in consequat ex proident do eu dolore incididunt mollit fugiat. Cupidatat ipsum laborum cillum quis commodo consequat velit cupidatat duis ex nisi non."), _react2.default.createElement("p", null, "Ea pariatur do culpa minim. Proident adipisicing tempor tempor qui pariatur voluptate dolor. Ea commodo id veniam voluptate cupidatat ex. Do ullamco in quis elit eiusmod veniam cillum proident veniam cupidatat pariatur."), _react2.default.createElement("p", null, "Cupidatat anim eiusmod id nostrud pariatur tempor reprehenderit incididunt do esse ullamco laboris sunt. Est ea exercitation cupidatat ipsum do Lorem eiusmod aliqua culpa ullamco consectetur veniam. Cillum velit dolor consequat cillum tempor laboris mollit laborum reprehenderit reprehenderit veniam aliqua deserunt cupidatat. Id aliqua occaecat est id tempor. Enim labore sint aliquip consequat duis minim tempor proident. Dolor incididunt aliquip minim elit ea. Exercitation non officia eu id. Ea ipsum ipsum consequat incididunt do aliquip pariatur nostrud aute qui. Sint culpa labore Lorem ex magna deserunt aliquip aute duis consectetur magna amet anim ad. Fugiat est nostrud veniam ad officia duis ea sunt aliqua laboris magna. Minim officia aute anim minim aute aliquip aute non in non. Ipsum aliquip proident ut dolore eiusmod ad fugiat fugiat ut ex. Ea velit Lorem ut et commodo nulla voluptate veniam ea et aliqua esse id. Pariatur dolor et adipisicing ea mollit."));
};
var ScrollablePage = function (_React$Component) {
    _inherits(ScrollablePage, _React$Component);

    function ScrollablePage() {
        _classCallCheck(this, ScrollablePage);

        var _this = _possibleConstructorReturn(this, (ScrollablePage.__proto__ || Object.getPrototypeOf(ScrollablePage)).apply(this, arguments));

        _this.state = {
            scrollTop: 0,
            scrollLeft: 0
        };
        _this.onScroll = function (scrollLeft, scrollTop) {
            _this.setState({
                scrollLeft: scrollLeft,
                scrollTop: scrollTop
            });
            return {};
        };
        return _this;
    }

    _createClass(ScrollablePage, [{
        key: 'render',
        value: function render() {
            var _this2 = this;

            return _react2.default.createElement(_Demo2.default, { theme: darkDemoTheme }, _react2.default.createElement(_Pure.Pure, null, function () {
                return _react2.default.createElement("section", { className: _ScrollablePage2.default.section }, _react2.default.createElement("h1", null, "Origin"), _react2.default.createElement(_Scrollable.Scrollable, { onScroll: _this2.onScroll }, _react2.default.createElement("div", { className: _ScrollablePage2.default.scrollable }, _react2.default.createElement(Heavy, null))));
            }), _react2.default.createElement(_Pure.Pure, { check: this.state.scrollTop }, function () {
                return _react2.default.createElement("section", { className: _ScrollablePage2.default.section }, _react2.default.createElement("h1", null, "VSync"), _react2.default.createElement(_Scrollable.Scrollable, { scrollTop: _this2.state.scrollTop }, _react2.default.createElement("div", { className: _ScrollablePage2.default.scrollable }, _react2.default.createElement(Heavy, null))));
            }), _react2.default.createElement(_Pure.Pure, { check: this.state.scrollLeft }, function () {
                return _react2.default.createElement("section", { className: _ScrollablePage2.default.section }, _react2.default.createElement("h1", null, "HSync"), _react2.default.createElement(_Scrollable.Scrollable, { scrollLeft: _this2.state.scrollLeft }, _react2.default.createElement("div", { className: _ScrollablePage2.default.scrollable }, _react2.default.createElement(Heavy, null))));
            }), _react2.default.createElement("section", { className: _ScrollablePage2.default.section }, _react2.default.createElement("h1", null, "VHSync"), _react2.default.createElement(_Scrollable.Scrollable, { scrollTop: this.state.scrollTop, scrollLeft: this.state.scrollLeft }, _react2.default.createElement("div", { className: _ScrollablePage2.default.scrollable }, _react2.default.createElement(Heavy, null)))));
        }
    }]);

    return ScrollablePage;
}(_react2.default.Component);
ScrollablePage = tslib_1.__decorate([_pure.PURE], ScrollablePage);
(0, _storybook.storiesOf)('Scrollable', module).add('default', function () {
    return _react2.default.createElement(ScrollablePage, null);
});