'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _tslib = require('tslib');

var tslib_1 = _interopRequireWildcard(_tslib);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Demo = require('../demo/Demo');

var _Demo2 = _interopRequireDefault(_Demo);

var _storybook = require('@devexperts/tools/lib/utils/storybook');

var _PasswordInput = require('./PasswordInput');

var _pure = require('../../utils/pure');

var _PasswordInputPage = require('./PasswordInput.page.styl');

var _PasswordInputPage2 = _interopRequireDefault(_PasswordInputPage);

var _showPasswordIcon = require('@devexperts/icons/lib/show-password-icon');

var _hidePasswordIcon = require('@devexperts/icons/lib/hide-password-icon');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var darkDemoTheme = {
    container: _PasswordInputPage2.default.container
};
var PasswordInputPage = function (_React$Component) {
    _inherits(PasswordInputPage, _React$Component);

    function PasswordInputPage() {
        _classCallCheck(this, PasswordInputPage);

        var _this = _possibleConstructorReturn(this, (PasswordInputPage.__proto__ || Object.getPrototypeOf(PasswordInputPage)).apply(this, arguments));

        _this.state = {
            value: 'test',
            isRevealed: false
        };
        _this.onChange = function (value) {
            (0, _storybook.action)('value changed')(value);
            _this.setState({
                value: value
            });
        };
        _this.onReveal = function (isRevealed) {
            (0, _storybook.action)('isRevealed changed')(isRevealed);
            _this.setState({
                isRevealed: isRevealed
            });
        };
        return _this;
    }

    _createClass(PasswordInputPage, [{
        key: 'render',
        value: function render() {
            var isRevealed = this.state.isRevealed;

            return _react2.default.createElement(_Demo2.default, { theme: darkDemoTheme }, _react2.default.createElement("main", null, _react2.default.createElement("section", { className: _PasswordInputPage2.default.form }, _react2.default.createElement(_PasswordInput.PasswordInput, { onValueChange: this.onChange, IconShow: _showPasswordIcon.ShowPasswordIcon, value: this.state.value, onReveal: this.onReveal, isRevealed: isRevealed, IconHide: _hidePasswordIcon.HidePasswordIcon }))));
        }
    }]);

    return PasswordInputPage;
}(_react2.default.Component);
PasswordInputPage = tslib_1.__decorate([_pure.PURE], PasswordInputPage);
(0, _storybook.storiesOf)('PasswordInput', module).add('default', function () {
    return _react2.default.createElement(PasswordInputPage, null);
});